/**
 * @file commsel.h
 * Communication protocol selection
 * @author Marko Mkel (marko.makela@nic.funet.fi)
 */

/*
 * Copyright  2001,2002 Marko Mkel
 * 
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/** Select a communication protocol by name, and initialize the communications
 * @param name		name of the protocol (NULL=default)
 * @param dev		name of the communication interface device
 * @return		pointer to the communication primitives, or NULL
 */
const struct comm*
establish (const char* name,
	   const char* dev);

/** Terminate the connection, if it was established */
void
terminate (void);
